<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8" />
<title>Turtle control</title>
<meta name="generator" content="jrweb" />
<link rel="stylesheet" href="main.css">
<script src="main.js"></script>
<script>

function set_func(name) {
    document.getElementById("function").value = name;
    send_form('form', my_callback);
}

function my_callback(json) {
    data = JSON.parse(json);
    document.getElementById('function').value=data.result;
    names = document.getElementById('names');
    names.innerHTML='';

    len = data.animations.length;
    for (var i = 0; i < len; i++) {
        elem = data.animations[i];
        names.innerHTML += '<button onclick="set_func(\''+elem+'\')">'+elem+'</button>';
    }
}
</script>
</head>
<body>
    <div class="maindiv">
        <div class="headdiv">
        <center>Turtle control</center>
        </div>

        <hr/>
        <div class="linkright"><a href="stepedit.html">Edit</a></div>
        <form id="form" action="tmain" method="GET">
            <label for="function">Current Action</label><input type="text" name="function" id="function" value="stand"/>
            <input type="submit" />
        </form>
        <div class="cloud" id="names">
        </div>
    </div>
    <script>
        prepare_form(document.getElementById("form"), my_callback);
        send_form('form', my_callback);
    </script>
</body>
</html>
